%define     	oname  serverstatuswidget

Summary:	Server Status Widget
Name:		plasma-applet-serverstatus
Version: 	1.1
Release: 	%mkrel 1
Source0:        101336-%oname-%version.tar.bz2
License: 	GPL
Group: 		Graphical desktop/KDE4
Url: 		http://kde-look.org/content/show.php/Server+Status+Widget?content=101336
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake

%description 
This widget lets you monitor one or more servers via pings in a configurable interval. 
The icon changes if a server does not respond to at least one ping on a given check (you can send more than one for one check).
This is a very early release, because a friend of mine needs the functionality :). 
It works, but the looks are subject to improvements, which I plan to add gradually. 

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/services/*
%{_kde_datadir}/apps/plasma-applet-serverstatus/*


%changelog
* Mon Dec 14 2009 Maurizio Dal Magro <mauriziodm@madrivaclub.be>
- Updated version 1.1
- Mandriva 2010.0

* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Fri Jul 31 2009 johnnyblack <johnnyblack at inbox.com>
- create

